/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:13pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Alvared.cs
Lines of code: 79

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class MeanSpiritedLadyQuest : BaseQuest
	{				
		public override object Title{ get{ return "Mean Spirited Lady"; } }
		
		public override object Description{ get{ return "The ladies of the mist used to be druids. They were our mothers and daughters, who stepped up to heal the brave druid warriors try and stop the Sorceress of the Night. <br><br>The Sorceress grew angry and cursed them all to fight on her behalf. Now they wander around the Land of Mist, trying to take back the life that was robbed from them.<br><br>We have secluded ourselves here, in an attempt to prevent the Sorceress' influence from spreading.<br><br>Please free the souls of the ladies of the mist, we just can't bring ourselves to slay those we once loved and were loved by."; } }
		
		public override object Refuse{ get{ return "I understand. Return to me when you think you are ready."; } }
		
		public override object Uncomplete{ get{ return "The lady of the mists are all over this area."; } }
		
		public override object Complete{ get{ return "You have shown yourself to be a compassionate person. We do not have much around here, but please accept this as a reward."; } }
	
		public MeanSpiritedLadyQuest() : base()
		{			
			AddObjective( new SlayObjective( typeof( LadyOfTheMist ), "Lady of the Mist", 10 ) );
			
			
			AddReward( new BaseReward( typeof( CandyBagG ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Alvared : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( MeanSpiritedLadyQuest )
			};} 
		}
		
		[Constructable]
		public Alvared() : base( "Alvared", "the druid" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Alvared( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 33358;

			Female = false;
			Race=Race.Elf;
			Body = 605;
		}
		
		public override void InitOutfit()
		{
			AddItem( new MaleElvenRobe( 1364 ) );
			AddItem( new Sandals() );
			AddItem( new Obi( 1191 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Hue = 1190;
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}